CC			= gcc
LEX			= flex
LINK		= gcc
INSTALL		= ginstall
INCLUDES	= -I../include -I./include
DEFINES		=
CFLAGS		= -g -c -Wall -O3 $(INCLUDES) $(DEFINES) $(EXTRA_CFLAGS)
LDFLAGS		= -L../library -Wall $(EXTRA_LDFLAGS)
LPOSTFLAGS	= $(LIBS)

ifdef SOLARIS
LPOSTFLAGS	+= -lsocket -lxnet
endif

ifdef SHARED
LIBS		= ../library/c-pylib.so
else
LIBS		= ../library/c-pylib.a
endif

all: $(PROGNAME) $(EXTRATGTS)

objects: $(OBJECTS)

$(PROGNAME): $(OBJECTS) $(SOURCES) $(LIBS)
	$(LINK) $(LDFLAGS) -o $(PROGNAME) $(OBJECTS) $(LPOSTFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -o $*.o $*.c

%.c: %.yy
	$(LEX) -o$*.c $*.yy

dep : $(SOURCES)
	$(CC) -MM $(CFLAGS) *.c > .depend

# We don't install EXTRATGTS
install : all
	if [ -n "$(TARGET)" ] ; then \
		$(INSTALL) -s -m 755 $(PROGNAME) $(TARGET) ; \
	fi

clean: dummy
	rm -f core $(OBJECTS) $(PROGNAME) $(SOURCES) $(EXTRATGTS)

dummy:
